#pragma once
#include "moglclass.h"
#include "geometryPositionNormalTexture.h"

namespace moglclass
{

class MultitexQuad : public GeometryPositionNormalTexture
{
public:
	MultitexQuad(glm::vec3 p = glm::vec3(0, 0, 0), glm::vec3 n = glm::vec3(0, 0, 1), glm::vec3 u = glm::vec3(0, 1, 0), float width = 1.0f, float height = 1.0f);
	void set(glm::vec3 p = glm::vec3(0, 0, 0), glm::vec3 n = glm::vec3(0, 0, 1), glm::vec3 u = glm::vec3(0, 1, 0), float width = 1.0f, float height = 1.0f);
	void init();
	void draw();
	void createVAO();

private:
	glm::vec3 p; // position
	glm::vec3 n; // normal vector
	glm::vec3 u; // up vector
	float width;
	float height;
};

}
